#include <QGuiApplication>
#include <QQmlApplicationEngine>
#include <iostream>
#include <string>

#include <caml/mlvalues.h>
#include <caml/callback.h>

#include "oboy.h"

int main(int argc, char *argv[])
{
    QCoreApplication::setAttribute(Qt::AA_EnableHighDpiScaling);
    QGuiApplication app(argc, argv);

    qmlRegisterType<OBoy>("com.oboy.oboy", 1, 0, "OBoy");

    QQmlApplicationEngine engine;
    engine.load(QUrl(QStringLiteral("qrc:/main.qml")));

    caml_main(argv);

    return app.exec();
}
