#include "oboy.h"

#include <caml/mlvalues.h>
#include <caml/callback.h>

OBoy::OBoy(QObject *parent) : QObject(parent)
{

}

QString OBoy::name() const
{
    value * closure_f = caml_named_value("name");
    if (closure_f == nullptr) {
        return QString("<Unreachable>");
    }

    const char *str = String_val(caml_callback(*closure_f, Val_unit));
    return QString(str);
}

QString OBoy::version() const
{
    value * closure_f = caml_named_value("version");
    if (closure_f == nullptr) {
        return QString("<Unreachable>");
    }

    const char *str = String_val(caml_callback(*closure_f, Val_unit));
    return QString(str);
}
